summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2013-02-11 09:46:07 +0000
committerMichał Górny <mgorny@gentoo.org>2013-02-11 09:46:07 +0000
commit2f669239ae7227db950e5e1e01107686d9242ce6 (patch)
tree8ff7bb343445445dcbf20daeff67df13114515ff /eclass/distutils-r1.eclass
parentDepend on cairo[-qt4] if gtkstyle is enabled, wrt bug 454066. Remove dead cod... (diff)
downloadgentoo-2-2f669239ae7227db950e5e1e01107686d9242ce6.tar.gz
gentoo-2-2f669239ae7227db950e5e1e01107686d9242ce6.tar.bz2
gentoo-2-2f669239ae7227db950e5e1e01107686d9242ce6.zip
Support DOCS=() to disable installing documentation.
Diffstat (limited to 'eclass/distutils-r1.eclass')
-rw-r--r--eclass/distutils-r1.eclass7
1 files changed, 5 insertions, 2 deletions
diff --git a/eclass/distutils-r1.eclass b/eclass/distutils-r1.eclass
index 4a701df9b032..e662fa24af90 100644
--- a/eclass/distutils-r1.eclass
+++ b/eclass/distutils-r1.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/distutils-r1.eclass,v 1.52 2013/02/10 16:15:05 mgorny Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/distutils-r1.eclass,v 1.53 2013/02/11 09:46:07 mgorny Exp $
# @ECLASS: distutils-r1
# @MAINTAINER:
@@ -485,7 +485,10 @@ distutils-r1_python_install_all() {
debug-print-function ${FUNCNAME} "${@}"
if declare -p DOCS &>/dev/null; then
- dodoc -r "${DOCS[@]}" || die "dodoc failed"
+ # an empty list == don't install anything
+ if [[ ${DOCS[@]} ]]; then
+ dodoc -r "${DOCS[@]}" || die "dodoc failed"
+ fi
else
local f
# same list as in PMS